> For the complete documentation index, see [llms.txt](https://docs.lenderlink.ph/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenderlink.ph/product-guides/api-integration-guides/payment-transaction-data-api.md).

# Payment Transaction Data API

## Authentication

Obtain a token via the [Authentication](/product-guides/api-integration-guides/authentication.md) procedure.&#x20;

### Endpoint

The API endpoint for accessing the Payment Transaction Data is:

```
https://sandbox-app.lenderlink.ph/api/v1/person/payment-transactions
```

Web Method: **GET**&#x20;

<table><thead><tr><th valign="top">Parameter</th><th valign="top">Type</th><th>Mandatory</th><th valign="top">Description </th></tr></thead><tbody><tr><td valign="top">requestId</td><td valign="top">String </td><td>Yes</td><td valign="top">Unique identification code generated by the client</td></tr><tr><td valign="top">email </td><td valign="top">String </td><td>Yes</td><td valign="top">Email address </td></tr><tr><td valign="top">cellphoneNumber</td><td valign="top">String </td><td>Yes</td><td valign="top">Borrower's phone number, the format is 63XXXXXXXXXX.</td></tr></tbody></table>

### Response Parameters

System responds with HTTP status 401 (unauthorized) if an unsupported version number was provided. Otherwise, a status 200 and a JSON object is returned in its body.

```json
{
    "requestId": "X123-AB45",
    "matchFlag": "Hit",
    "data": {
        "transactionCount": 33,
        "minAmount": 94,
        "maxAmount": 10150,
        "aveAmount": 2668.43,
        "sumAmount": 88058.04000000001,
        "stdDev": 2737.87,
        "refDates": [
            "2025-01-16",
            "2025-01-20",
            "2025-01-21",
            "2025-02-02",
            "2025-02-16",
            "2025-02-19",
            "2025-02-20",
            "2025-02-28",
            "2025-03-03",
            "2025-03-15",
            "2025-03-30",
            "2025-04-17",
            "2025-04-18",
            "2025-04-21",
            "2025-05-02",
            "2025-05-09",
            "2025-05-10",
            "2025-05-11",
            "2025-05-18",
            "2025-05-21",
            "2025-05-23",
            "2025-05-25",
            "2025-05-28",
            "2025-05-30",
            "2025-05-31",
            "2025-06-10",
            "2025-06-13",
            "2025-06-28",
            "2025-06-29",
            "2025-07-02",
            "2025-07-04"
        ],
        "refDateDetails": [
            {
                "refDate": "2025-01-21",
                "count": 1,
                "total": 2880
            },
            {
                "refDate": "2025-02-28",
                "count": 1,
                "total": 638.07
            },
            {
                "refDate": "2025-05-25",
                "count": 1,
                "total": 1140
            },
            {
                "refDate": "2025-02-16",
                "count": 1,
                "total": 6575
            },
            {
                "refDate": "2025-05-28",
                "count": 1,
                "total": 1315
            },
            {
                "refDate": "2025-05-18",
                "count": 1,
                "total": 182
            },
            {
                "refDate": "2025-03-03",
                "count": 1,
                "total": 406
            },
            {
                "refDate": "2025-04-18",
                "count": 1,
                "total": 5260
            },
            {
                "refDate": "2025-03-30",
                "count": 1,
                "total": 4350
            },
            {
                "refDate": "2025-02-02",
                "count": 1,
                "total": 406
            },
            {
                "refDate": "2025-06-29",
                "count": 1,
                "total": 2840
            },
            {
                "refDate": "2025-02-20",
                "count": 1,
                "total": 6400
            },
            {
                "refDate": "2025-04-17",
                "count": 2,
                "total": 3146.99
            },
            {
                "refDate": "2025-05-09",
                "count": 1,
                "total": 153
            },
            {
                "refDate": "2025-05-23",
                "count": 1,
                "total": 3287
            },
            {
                "refDate": "2025-05-30",
                "count": 1,
                "total": 10150
            },
            {
                "refDate": "2025-05-21",
                "count": 1,
                "total": 123
            },
            {
                "refDate": "2025-05-10",
                "count": 1,
                "total": 145
            },
            {
                "refDate": "2025-05-11",
                "count": 2,
                "total": 311
            },
            {
                "refDate": "2025-06-28",
                "count": 1,
                "total": 5260
            },
            {
                "refDate": "2025-04-21",
                "count": 1,
                "total": 669.98
            },
            {
                "refDate": "2025-07-04",
                "count": 1,
                "total": 94
            },
            {
                "refDate": "2025-07-02",
                "count": 1,
                "total": 2175
            },
            {
                "refDate": "2025-05-02",
                "count": 1,
                "total": 1440
            },
            {
                "refDate": "2025-05-31",
                "count": 1,
                "total": 1450
            },
            {
                "refDate": "2025-02-19",
                "count": 1,
                "total": 5800
            },
            {
                "refDate": "2025-01-16",
                "count": 1,
                "total": 6575
            },
            {
                "refDate": "2025-06-13",
                "count": 1,
                "total": 106
            },
            {
                "refDate": "2025-06-10",
                "count": 1,
                "total": 1180
            },
            {
                "refDate": "2025-03-15",
                "count": 1,
                "total": 7800
            },
            {
                "refDate": "2025-01-20",
                "count": 1,
                "total": 5800
            }
        ],
        "categories": [
            "Loans",
            "Fintech",
            "Marketplace"
        ],
        "procIds": [
            "ECPY",
            "ABQR",
            "GCSH"
        ],
        "within1to30Days": [
            {
                "category": "Loans",
                "transactionCount": 4,
                "minAmount": 1180,
                "maxAmount": 5260,
                "sumAmount": 11455,
                "stdDev": 1504.32
            },
            {
                "category": "Marketplace",
                "transactionCount": 2,
                "minAmount": 94,
                "maxAmount": 106,
                "sumAmount": 200,
                "stdDev": 6
            }
        ],
        "within31to60Days": [
            {
                "category": "Marketplace",
                "transactionCount": 6,
                "minAmount": 114,
                "maxAmount": 197,
                "sumAmount": 914,
                "stdDev": 29.61
            },
            {
                "category": "Loans",
                "transactionCount": 5,
                "minAmount": 1140,
                "maxAmount": 10150,
                "sumAmount": 17342,
                "stdDev": 3429.55
            }
        ],
        "beyond61Days": [
            {
                "category": "Loans",
                "transactionCount": 11,
                "minAmount": 1440,
                "maxAmount": 7800,
                "sumAmount": 55621,
                "stdDev": 1877.31
            },
            {
                "category": "Fintech",
                "transactionCount": 5,
                "minAmount": 405.99,
                "maxAmount": 669.98,
                "sumAmount": 2526.04,
                "stdDev": 121.93
            }
        ],
        "matchKey": "cellphoneNumber"
    }
}

```

The details of the JSON object are as follows:

<table><thead><tr><th valign="top">Parameter</th><th valign="top">Data Type </th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">transactionCount </td><td valign="top">Integer </td><td valign="top">The number of successful collection transactions completed by the user within the time period </td></tr><tr><td valign="top">minAmount </td><td valign="top">Decimal </td><td valign="top">The smallest amount among all the transactions by that user within the period </td></tr><tr><td valign="top">maxAmount </td><td valign="top">Decimal </td><td valign="top">The largest amount among all the transactions by that user within the period </td></tr><tr><td valign="top">aveAmount </td><td valign="top">Decimal </td><td valign="top">The average amount of all the transactions by that user within the period </td></tr><tr><td valign="top">sumAmount </td><td valign="top">Decimal </td><td valign="top">The total amount of all the transactions by that user within the period </td></tr><tr><td valign="top">stdDev </td><td valign="top">Decimal </td><td valign="top">The population standard deviation of the amounts </td></tr><tr><td valign="top">refDates </td><td valign="top">Array of Date </td><td valign="top">An array of dates when the transactions occurred </td></tr><tr><td valign="top">categories </td><td valign="top">Array of String </td><td valign="top">An array of categories covering the various merchants where the payments were made to </td></tr><tr><td valign="top">procIds </td><td valign="top">Array of String </td><td valign="top">An array of payment processors where the various payments were made to </td></tr><tr><td valign="top">within1to30Days </td><td valign="top">Array of Sub-Details Records </td><td valign="top">An array of records based on the transactions from the last 30 days showing the breakdown by category </td></tr><tr><td valign="top">within31to60Days </td><td valign="top">Array of Sub-Details Records </td><td valign="top">An array of records based on the transactions from the last 31 to 60 days showing the breakdown by category </td></tr><tr><td valign="top">beyond61Days </td><td valign="top">Array of Sub-Details Records </td><td valign="top">An array of records based on the transactions beyond the last 61 days showing the breakdown by category </td></tr><tr><td valign="top">matchKey</td><td valign="top">cellphoneNumber or email</td><td valign="top">Shows the key that matched </td></tr></tbody></table>

The Sub-details Record follows the format:

<table><thead><tr><th valign="top">Parameter</th><th valign="top">Data Type </th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top">category </td><td valign="top">String </td><td valign="top">The industry or category of the merchant </td></tr><tr><td valign="top">transactionCount </td><td valign="top">Integer </td><td valign="top">The number of successful collection transactions completed by the user associated with the email within the time period </td></tr><tr><td valign="top">minAmount </td><td valign="top">Decimal </td><td valign="top">The smallest amount among all the transactions by that user within the time period </td></tr><tr><td valign="top">maxAmount </td><td valign="top">Decimal </td><td valign="top">The largest amount among all the transactions by that user within the time period </td></tr><tr><td valign="top">sumAmount </td><td valign="top">Decimal </td><td valign="top">The total amount of all the transactions by that user within the time period </td></tr><tr><td valign="top">stdDev </td><td valign="top">Decimal </td><td valign="top">The population standard deviation of the amounts </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenderlink.ph/product-guides/api-integration-guides/payment-transaction-data-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
